> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取下一轮建议问题列表

> 获取当前消息的下一步建议问题。



## OpenAPI

````yaml /zh/api-reference/openapi_chatflow.json get /messages/{message_id}/suggested
openapi: 3.0.1
info:
  title: 工作流编排对话型应用 API (对话流 API)
  description: >-
    对话流应用支持会话持久化，允许将之前的聊天记录作为响应的上下文。对话流应用使用 `advanced-chat`
    模式，提供工作流级别的流式事件，用于详细的执行追踪，包括节点开始、完成、迭代和工作流生命周期。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 工作流编排对话型应用 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话流
    description: 对话流应用的操作，包括对话消息、工作流执行详情和事件流。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
paths:
  /messages/{message_id}/suggested:
    get:
      tags:
        - 对话流
      summary: 获取下一轮建议问题列表
      description: 获取当前消息的下一步建议问题。
      operationId: getSuggestedQuestionsCn
      parameters:
        - name: message_id
          in: path
          required: true
          description: 消息 ID。
          schema:
            type: string
        - name: user
          in: query
          required: true
          description: 用户标识符。
          schema:
            type: string
      responses:
        '200':
          description: 成功获取建议问题。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestedQuestionsResponse'
              examples:
                suggestedQuestions:
                  summary: 响应示例
                  value:
                    result: success
                    data:
                      - What colors does the iPhone 13 Pro Max come in?
                      - How does the battery compare to iPhone 12?
                      - What is the price range?
        '400':
          description: |-
            - `not_chat_app` : 应用模式与 API 路由不匹配。
            - `bad_request` : 建议问题功能已禁用。
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                bad_request:
                  summary: bad_request
                  value:
                    status: 400
                    code: bad_request
                    message: Suggested Questions Is Disabled.
        '404':
          description: '`not_found` : 消息不存在。'
          content:
            application/json:
              examples:
                message_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Message Not Exists.
        '500':
          description: '`internal_server_error` : 内部服务器错误。'
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    status: 500
                    code: internal_server_error
                    message: Internal server error.
components:
  schemas:
    SuggestedQuestionsResponse:
      type: object
      properties:
        result:
          type: string
          description: 结果状态。
        data:
          type: array
          items:
            type: string
          description: 建议问题列表。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````